com.ibm.openpages.api.trigger.oob.messaging

## Class RabbitMQObjectChangeEventHandler

- java.lang.Object
- - com.ibm.openpages.api.trigger.AbstractEventHandler
  - - com.ibm.openpages.api.trigger.ext.DefaultEventHandler
    - - com.ibm.openpages.api.trigger.oob.messaging.RabbitMQObjectChangeEventHandler

-     public class RabbitMQObjectChangeEventHandler
      extends DefaultEventHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RabbitMQObjectChangeEventHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleEvent(AssociateResourceEvent event)` HandleEvent() method for AssociateResourceEvent type.
    `boolean` | `handleEvent(CopyResourceEvent event)` HandleEvent() method for CopyResourceEvent type.
    `boolean` | `handleEvent(CreateResourceEvent event)` HandleEvent() method for CreateResourceEvent type.
    `boolean` | `handleEvent(CreateResourceWithRelationsEvent event)` Override this handleEvent() methods if CreateResourceWithRelationsEvent type is associated with the trigger rule.
    `boolean` | `handleEvent(DeleteResourceEvent event)` HandleEvent() method for DeleteResourceEvent type.
    `boolean` | `handleEvent(DisassociateResourceEvent event)` HandleEvent() method for DissassociateResourceEvent type.
    `boolean` | `handleEvent(MoveResourceEvent event)` HandleEvent() method for MoveResourceEvent type.
    `boolean` | `handleEvent(ReassignPrimaryParentEvent event)` HandleEvent() method for ReassignPrimaryParentEvent type.
    `boolean` | `handleEvent(RenameResourceEvent event)` HandleEvent() method for RenameResourceEvent type.
    `boolean` | `handleEvent(UpdateResourceEvent event)` HandleEvent() method for UpdateResourceEvent type.

    - ### Methods inherited from class com.ibm.openpages.api.trigger.ext.DefaultEventHandler

      `handleEvent, handleEvent, handleEvent`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.AbstractEventHandler

      `getAttributes, getRuleAttributes, setAttributes, setRuleAttributes, throwException`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RabbitMQObjectChangeEventHandler

          public RabbitMQObjectChangeEventHandler()

  - ### Method Detail

    - #### handleEvent

          public boolean handleEvent(CreateResourceEvent event)

      HandleEvent() method for CreateResourceEvent type. Add a CREATE event message to the exchange
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a create resource event to be handled

    - #### handleEvent

          public boolean handleEvent(CreateResourceWithRelationsEvent event)

      Override this handleEvent() methods if CreateResourceWithRelationsEvent type is associated with the trigger rule. In a create event handler, the values of the object being saved is modified. Calling IResourceService.saveResource() is not required for `TriggerPositionType.PRE`.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a create resource with relations event to be handled

    - #### handleEvent

          public boolean handleEvent(UpdateResourceEvent event)

      HandleEvent() method for UpdateResourceEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if UpdateResourceEvent type is associated with the trigger rule. In an update event handler, the values of the object being saved is modified. Calling IResourceService.saveResource() is not required.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - an update resource event to be handled

    - #### handleEvent

          public boolean handleEvent(AssociateResourceEvent event)

      HandleEvent() method for AssociateResourceEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if AssociateResourceEvent type is associated with the trigger rule.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - an associate resource event to be handled

    - #### handleEvent

          public boolean handleEvent(DisassociateResourceEvent event)

      HandleEvent() method for DissassociateResourceEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if DissassociateResourceEvent type is associated with the trigger rule.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a disassociate resource event to be handled

    - #### handleEvent

          public boolean handleEvent(ReassignPrimaryParentEvent event)

      HandleEvent() method for ReassignPrimaryParentEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if ReassignPrimaryParentEvent type is associated with the trigger rule.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a reassigning primary parent event to be handled

    - #### handleEvent

          public boolean handleEvent(CopyResourceEvent event)

      HandleEvent() method for CopyResourceEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if CopyResourceEvent type is associated with the trigger rule.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a copy resource event to be handled

    - #### handleEvent

          public boolean handleEvent(MoveResourceEvent event)

      HandleEvent() method for MoveResourceEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if MoveResourceEvent type is associated with the trigger rule.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a move resource event to be handled

    - #### handleEvent

          public boolean handleEvent(RenameResourceEvent event)

      HandleEvent() method for RenameResourceEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if RenameResourceEvent type is associated with the trigger rule.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a rename resource event to be handled

    - #### handleEvent

          public boolean handleEvent(DeleteResourceEvent event)

      HandleEvent() method for DeleteResourceEvent type. The DefaultEventHandler always returns false. Override this handleEvent() methods if DeleteResourceEvent type is associated with the trigger rule.
      Overrides:
        `handleEvent` in class `DefaultEventHandler`
      Parameters:
        `event` - a delete resource event to be handled

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.